pidgin: _PurpleBuddy Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleBuddy Struct Reference

A buddy. More...

`#include <blist.h>`

## Data Fields
PurpleBlistNode | node
| The node that this buddy inherits from.
char * | name
| The name of the buddy.
char * | alias
| The user-set alias of the buddy.
char * | server_alias
| The server-specified alias of the buddy.
void * | proto_data
| This allows the prpl to associate whatever data it wants with a buddy.
PurpleBuddyIcon * | icon
| The buddy icon.
PurpleAccount * | account
| the account this buddy belongs to
PurplePresence * | presence
PurpleMediaCaps | media_caps
| The media capabilities of the buddy.

## Detailed Description

A buddy.

This contains everything Purple will ever need to know about someone on the buddy list. Everything.

Definition at line 140 of file blist.h.

## Field Documentation

## ◆ account

PurpleAccount* _PurpleBuddy::account

the account this buddy belongs to

Definition at line 147 of file blist.h.

## ◆ alias

char* _PurpleBuddy::alias

The user-set alias of the buddy.

Definition at line 143 of file blist.h.

## ◆ icon

PurpleBuddyIcon* _PurpleBuddy::icon

The buddy icon.

Definition at line 146 of file blist.h.

## ◆ media_caps

PurpleMediaCaps _PurpleBuddy::media_caps

The media capabilities of the buddy.

Definition at line 149 of file blist.h.

## ◆ name

char* _PurpleBuddy::name

The name of the buddy.

Definition at line 142 of file blist.h.

## ◆ node

PurpleBlistNode _PurpleBuddy::node

The node that this buddy inherits from.

Definition at line 141 of file blist.h.

## ◆ presence

PurplePresence* _PurpleBuddy::presence

Definition at line 148 of file blist.h.

## ◆ proto_data

void* _PurpleBuddy::proto_data

This allows the prpl to associate whatever data it wants with a buddy.

Definition at line 145 of file blist.h.

## ◆ server_alias

char* _PurpleBuddy::server_alias

The server-specified alias of the buddy.

Definition at line 144 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h